%define upstream_name    Dist-Zilla-Plugin-Prereqs-AuthorDeps
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Add Dist::Zilla authordeps to META files as develop prereqs
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta)
BuildRequires: perl(Dist::Zilla) >= 4.0.0
BuildRequires: perl(Dist::Zilla::Role::PrereqSource)
BuildRequires: perl(Dist::Zilla::Tester)
BuildRequires: perl(Dist::Zilla::Util::AuthorDeps) >= 5.21.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Deep::JSON)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(constant)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Foo the foo.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.7.0-3.mga10
+ Revision: 2206178
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.7.0-2.mga9
+ Revision: 1812678
- Mageia 9 Mass Rebuild

* Mon May 18 2020 tv <tv> 0.7.0-1.mga8
+ Revision: 1585900
- update to 0.007

* Wed Feb 12 2020 umeabot <umeabot> 0.6.0-3.mga8
+ Revision: 1494382
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 0.6.0-2.mga7
+ Revision: 1267553
- Mageia 7 Mass Rebuild

* Sun May 08 2016 shlomif <shlomif> 0.6.0-1.mga6
+ Revision: 1010629
- update to 0.006

* Fri Feb 19 2016 umeabot <umeabot> 0.5.0-2.mga6
+ Revision: 969183
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 0.5.0-1.mga6
+ Revision: 864352
- update to 0.005

* Sun Jun 28 2015 sander85 <sander85> 0.4.0-1.mga6
+ Revision: 846564
- update to 0.004

* Wed Oct 15 2014 umeabot <umeabot> 0.3.0-3.mga5
+ Revision: 745488
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Fri May 23 2014 sander85 <sander85> 0.3.0-1.mga5
+ Revision: 625133
- update to 0.003

* Tue Feb 25 2014 jquelin <jquelin> 0.2.0-1.mga5
+ Revision: 596935
- imported package perl-Dist-Zilla-Plugin-Prereqs-AuthorDeps


* Tue Feb 25 2014 cpan2dist 0.002-1mga
- initial mageia release, generated with cpan2dist
